Package org.zkoss.bind

## Interface FormLegacyExt

- All Known Implementing Classes:
    `FormImpl`, `SimpleForm`

      @Deprecated
      public interface FormLegacyExt

  Deprecated.
  As of release 9.5.0, please use `Form`
  For compatibility only.
  Since:
    9.5.0
  Author:
    Leon

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addLoadFieldName​(java.lang.String fieldName)` | Deprecated. Add a field name for loading from this Form.
    `void` | `addSaveFieldName​(java.lang.String fieldName)` | Deprecated. Add a field name for saving into this Form.
    `java.util.Set<java.lang.String>` | `getLoadFieldNames()` | Deprecated. Returns all field names that this Form bean is care about for loading value from the real bean.
    `java.util.Set<java.lang.String>` | `getSaveFieldNames()` | Deprecated. Returns all those field name that this Form bean is care about for saving value into the real bean.
    `FormStatus` | `getStatus()` | Deprecated.
    `void` | `resetDirty()` | Deprecated. Reset the dirty data, reload initValue value from field

- - ### Method Detail

    - #### getStatus

          FormStatus getStatus()

      Deprecated.
      Returns:
        the status object of this form

    - #### addLoadFieldName

          void addLoadFieldName​(java.lang.String fieldName)

      Deprecated.
      Add a field name for loading from this Form.
      Parameters:
        `fieldName` - field name to be loaded from.

    - #### addSaveFieldName

          void addSaveFieldName​(java.lang.String fieldName)

      Deprecated.
      Add a field name for saving into this Form.
      Parameters:
        `fieldName` - field name to be saved into.

    - #### getLoadFieldNames

          java.util.Set<java.lang.String> getLoadFieldNames()

      Deprecated.
      Returns all field names that this Form bean is care about for loading value from the real bean.
      Returns:
        all field names that this Form bean is care about for loading value from the real bean.

    - #### getSaveFieldNames

          java.util.Set<java.lang.String> getSaveFieldNames()

      Deprecated.
      Returns all those field name that this Form bean is care about for saving value into the real bean.
      Returns:
        all those field name that this Form bean is care about for saving value into the real bean.

    - #### resetDirty

          void resetDirty()

      Deprecated.
      Reset the dirty data, reload initValue value from field